Bug 149 - Package request: spice-vdagent
: Package request: spice-vdagent
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal enhancement
: ---
Assigned To: Andrey Bondrov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 22:43 MSD by Nux
Modified: 2012-06-19 21:49 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
dmitry.romashkin: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nux 2012-04-28 22:43:03 MSD
Hello,

Thanks to Alex Burmashev we now have a X11 QXL driver in ROSA which works beautifully and provides decent performance (I got 400 FPS in my VM!) and seamless mouse integration between VM and spice client.

I ask you to also provide "spice-vdagent" which will further smooth the way for deploying ROSA on KVM based virtualisation products (think VDI) such as Ovirt, Openstack, Cloudstack and also in Virt-manager. This package helps with the mouse integration, clipboard sharing between client and VM, automatic guest resolution adjustment etc.

Benefit to ROSA?
KVM has arguably become the swiss army knife of virtualisation and will only get even more widespread as the vt-x/amd-v hardware becomes ubiquitous.
It would be very beneficial to ROSA to be easily deployable on KVM based infrastructure.


The Fedora Rawhide SRPM could be a good starting point:
http://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/source/SRPMS/s/spice-vdagent-0.10.1-1.fc18.src.rpm

If this is approved I'd be happy to test!

ROSA should also look at how well they are supporting KVM server side. People will use virtualisation more and more, slowly KVM will take over VirtualBox & VMWare on the Linux desktops, too. For example all my VMs are now KVM/libvirt and for the moment I only have ROSA installed in such VMs.
Comment 1 Andrey Bondrov 2012-05-25 16:57:37 MSD
I'll take care of this.
Comment 2 Andrey Bondrov 2012-05-25 18:08:35 MSD
Advisory: "New package spice-vdagent imported"

https://abf.rosalinux.ru/build_lists/577765
https://abf.rosalinux.ru/build_lists/577766
Comment 3 Nux 2012-05-30 01:50:51 MSD
Awesome! It works! Thanks!
Comment 4 Nux 2012-05-30 01:51:38 MSD
I hope the package will make it in future ISO builds. It will be a nice complement to the Xorg-qxl driver.
Comment 5 Alexander Petryakov 2012-05-30 19:04:59 MSD
************** Advisory **************
New package spice-vdagent imported
**************************************
QA Verified
Comment 6 Pavel Shved 2012-06-19 21:49:06 MSD
Massively change status of published updates.  From now on, the status for published update requests will be VERIFIED.